Title: Block Pattern Categories
Published: April 26, 2023
Last modified: January 16, 2024

---

# Block Pattern Categories

## In this article

 * [Schema](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#schema)
 * [Retrieve a Block Pattern Category](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#retrieve-a-block-pattern-category)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#definition-example-request)

[ Back to top](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#wp--skip-link--target)

## 󠀁[Schema](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#schema)󠁿

The schema defines all the fields that exist within a block pattern category record.
Any response from these endpoints can be expected to contain the fields below unless
the `_filter` query parameter is used or the schema field only appears in a specific
context.

 |   `name`  |   The category name.

 JSON data type: string

Read only

Context: `view`, `edit`, `embed`

  |  
 |   `label`  |   The category label, in human readable format.

 JSON data type: string

Read only

Context: `view`, `edit`, `embed`

  |  
 |   `description`  |   The category description, in human readable format.

 JSON data type: string

Read only

Context: `view`, `edit`, `embed`

  |

## 󠀁[Retrieve a Block Pattern Category](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#retrieve-a-block-pattern-category)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/block-pattern-categories/?output_format=md#definition-example-request)󠁿

 `GET /wp/v2/block-patterns/categories`

 Query this endpoint to retrieve a specific block pattern category record.

 `$ curl https://example.com/wp-json/wp/v2/block-patterns/categories`

 There are no arguments for this endpoint.

First published

April 26, 2023

Last updated

January 16, 2024

Edit article

[ Improve it on GitHub: Block Pattern Categories ](https://github.com/WP-API/docs/edit/master/reference/block-pattern-categories.md)

Changelog

[ See list of changes: Block Pattern Categories ](https://github.com/WP-API/docs/commits/master/reference/block-pattern-categories.md)

[  Previous: Block Directory Items](https://developer.wordpress.org/rest-api/reference/block-directory-items/)

[  Next: Block Patterns](https://developer.wordpress.org/rest-api/reference/block-patterns/)